/**************************************************************
  
                 commdrvr.c
  
                 staff
  
                 01-15-92
  
           (C) Texas Instruments Inc., 1992 
  
           Refer to the file 'license.txt' included with this 
           this package for usage and license information. 
  
*************************************************************/
/**************************************************************************/
/*   COMMDRVR.C                                                           */
/*                                                                        */
/*   TMS320C3x - COMMOM DRIVER ROUTINES                                   */
/*      :TMS320C3x CODE                                                   */
/*       Compile and archive into aic.lib                                 */
/*                                                                        */
/*   (C) 1991 TEXAS INSTRUMENTS, HOUSTON                                  */
/**************************************************************************/
#include <commdrvr.h>

/**************************************************************************/
/* C_INT99(): ERRONEOUS INTERRUPT SERVICE ROUTINE                         */
/*            THIS ROUTINE IDLES AFTER RECEIVING AN UNEXPECTED INTERRUPT  */
/**************************************************************************/
void c_int99(void)
{
    for(;;);
}

/**************************************************************************/
/* HEAP_OVERFLOW(): NOT ENOUGH MEMORY IN THE HEAP                         */
/*                  THIS ROUTINE IS AN ERROR HANDLER FOR WHEN MEMORY      */
/*                  CANNOT BE ALLOCATED FROM THE HEAP                     */
/**************************************************************************/
void heap_overflow(void)
{
    for(;;);
}

/**************************************************************************/
/* INIT_C30(): INITIALIZE TMS320C30					  */
/**************************************************************************/
void init_c30(void)
{
    BUS_ADDR->exp_gcontrol  = 0x0;
    BUS_ADDR->prim_gcontrol = 0x0;
    INIT_XF_PINS;
    ENABLE_CACHE;
}

/**************************************************************************/
/* ERROR_IN_REAL_TIME(): ERROR HANDLER, PROCESSING TIME IS GREATER	  */
/*			 I/O TIME.					  */
/**************************************************************************/
void error_in_real_time(void)
{
    for(;;);
}

